from bs4 import BeautifulSoup as bs
import re
import urllib2
import csv
import json
import sys
import datetime
import pandas as pd
import requests
from pprint import pprint
import os.path


page = open("../DATA_DUMPS/5C3DB57A-904B-449D-9753-00D68467F57C/data/Combined Heat and Power (CHP) Project Profiles Database.html",'r').read()
soup = bs(page)
project_list = []
for box in soup.findAll("div", {"class": "EI_ProjectResultsBox"}):
    temp = {}
    div_list = box.findAll("div", {"class":"EI_editProjectBoxInfo"})
    temp['project_name'] = box.findAll("b")[0].text
    temp['city'] = div_list[1].text.strip()
    temp['state'] = div_list[2].text.strip()
    temp['CHP_TAP'] = div_list[3].text.strip()
    temp['market_sector'] = re.sub(r"\s+", " ", div_list[4].text.strip())
    temp['NAICS_code'] = div_list[5].text.strip()
    temp['system_size'] = div_list[6].text.strip()
    temp['technology_prime_mover'] = re.sub(r"\s+", " ", div_list[7].text.strip())
    temp['fuel'] = re.sub(r"\s+", " ", div_list[8].text.strip())
    temp['thermal_energy_use'] = re.sub(r"\s+", " ", div_list[9].text.strip())
    temp['year_installed'] = div_list[10].text.strip()
    temp['project_profile_url'] = div_list[11].find("a")['href']
    project_list.append(temp)
pprint(project_list)

with open("../DATA_DUMPS/5C3DB57A-904B-449D-9753-00D68467F57C/data/project_list.json", 'w') as outfile:
    json.dump(project_list, outfile)

for p in project_list:
    url = p['project_profile_url']
    file_name = url.split("/")[-1:][0]
    if not os.path.isfile("../DATA_DUMPS/5C3DB57A-904B-449D-9753-00D68467F57C/data/"+file_name):
        try:
            response = urllib2.urlopen(url)
            zipcontent= response.read()
            with open("../DATA_DUMPS/5C3DB57A-904B-449D-9753-00D68467F57C/data/"+file_name, 'w+') as f:
                f.write(zipcontent)
        except: 
            print url